import 'bootstrap-sass/assets/stylesheets/_bootstrap.scss';

/* Angular Core */
import angular from 'angular'
/* Polyfills */
import '../assets/js/polyfills.js'

/* Angular Libs */
import uirouter from 'angular-ui-router'
import 'angular-touch'
import 'angular-sanitize'
import 'angular-animate'
import ngStorage from 'ngstorage'
import 'angular-bind-html-compile-ci-dev'
import '../assets/js/angular-sortable.js'
import ngCookies from 'angular-cookies'

/* App Components */

import './components/questions/cloze/cloze.module'
import './components/questions/questions/questions.module'
import './components/questions/quiz/quiz.module'
import './components/questions/dropdown/dropdown.module'
import './components/questions/mix/mix.module'
import './components/questions/match/match.module'
import './components/questions/bucket/bucket.module'

const AppRequires = [
  ngCookies,
  uirouter,
  'ngSanitize',
  ngStorage.name,
  'ngTouch',
  'ng-sortable',
  'angular-bind-html-compile',
  'app.components.questions.questions',
  'app.components.questions.cloze',
  'app.components.questions.quiz',
  'app.components.questions.dropdown',
  'app.components.questions.mix',
  'app.components.questions.match',
  'app.components.questions.bucket'
]
angular
  .module('app', AppRequires)
