/* eslint-disable */
describe('Bucket exercise', function () {
    beforeEach(function () {
        var exercises = [7118, 5886, 42, 7118];
        browser.get('/#!/questions/bucket/' + exercises[Math.floor(Math.random() * (exercises.length - 1))]);
    });

    it('Should test selector functionality', function () {
        var selectorItems = element.all(by.repeater('answer in $ctrl.selectorList'));
        expect(selectorItems.count()).toBeGreaterThan(0);

        var selectorFirstItem = selectorItems.get(0);
        selectorFirstItem.click();
        expect(selectorFirstItem.getAttribute('class')).toContain("checked");
    });

    it('Should test if the popup is shown', function () {
        var selectorItems = element.all(by.repeater('answer in $ctrl.selectorList'));
        expect(selectorItems.count()).toBeGreaterThan(0);

        var selectorFirstItem = selectorItems.get(0);
        selectorFirstItem.click();
        expect(selectorFirstItem.getAttribute('class')).toContain("checked");

        element(by.id('actionButton')).click();
        expect((element(by.id('popupMessage'))).isDisplayed()).toBeTruthy();
    });

    /*it('Should test if the action button is going to next question after correct or incorrect answer', function () {
        element(by.id('actionButton')).click();
        browser.sleep(500);
        element(by.id('actionButton')).click();
        browser.sleep(500);
        element(by.id('actionButton')).click();
        browser.sleep(500);
        element(by.id('actionButton')).click();
        browser.sleep(500);

        var questionIndicator = element.all(by.repeater('page in pages track by page.number')).get(0);

        expect(questionIndicator.getAttribute('class')).not.toContain("active");
    });*/
});